> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pricenow.ch/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve paginated form element options

> For form elements in the layout with hasPaginatedOptions=true, paginated options can be retrieved from this endpoint



## OpenAPI

````yaml https://pratiq-docs.s3.eu-west-1.amazonaws.com/open-api/production/public/2025-02-18.json post /api/booking/products/{productId}/journey/options/{formElementId}
openapi: 3.0.0
info:
  title: Pricenow API
  version: '2025-02-18'
servers:
  - url: https://api.pricenow.dev
    description: Production Endpoint
security: []
tags: []
paths:
  /api/booking/products/{productId}/journey/options/{formElementId}:
    post:
      tags:
        - booking
      summary: Retrieve paginated form element options
      description: >-
        For form elements in the layout with hasPaginatedOptions=true, paginated
        options can be retrieved from this endpoint
      operationId: getPaginatedFormElementOptions
      parameters:
        - name: accept-language
          in: header
          description: Language of the response
          required: true
          schema:
            type: string
            enum:
              - en
              - de
              - fr
              - it
        - name: pratiq-channel-uuid
          in: header
          description: UUID of the sales channel
          required: true
          schema:
            type: string
        - name: productId
          in: path
          required: true
          schema:
            type: number
        - name: formElementId
          in: path
          required: true
          schema:
            type: string
        - name: page
          in: query
          required: true
          schema:
            type: number
        - name: pageSize
          in: query
          required: true
          schema:
            type: number
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                formState:
                  type: object
                  properties:
                    attributes:
                      type: object
                      additionalProperties:
                        type: string
                    validity:
                      type: object
                      properties:
                        from:
                          type: string
                        to:
                          type: string
                      required:
                        - from
                        - to
                    allocation:
                      oneOf:
                        - type: object
                          properties: {}
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - quantity
                            value:
                              type: number
                          required:
                            - kind
                            - value
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - persontype
                            values:
                              type: array
                              items:
                                oneOf:
                                  - type: object
                                    properties:
                                      kind:
                                        type: string
                                        enum:
                                          - anonymous
                                      quantity:
                                        type: number
                                      personType:
                                        type: string
                                    required:
                                      - kind
                                      - quantity
                                      - personType
                                  - type: object
                                    properties:
                                      kind:
                                        type: string
                                        enum:
                                          - personalized
                                      personIds:
                                        type: array
                                        items:
                                          type: number
                                      personType:
                                        type: string
                                    required:
                                      - kind
                                      - personIds
                                      - personType
                                  - type: object
                                    properties:
                                      kind:
                                        type: string
                                        enum:
                                          - discounted
                                      quantity:
                                        type: number
                                      personType:
                                        type: string
                                      discountCardTypeId:
                                        type: number
                                    required:
                                      - kind
                                      - quantity
                                      - personType
                                      - discountCardTypeId
                          required:
                            - kind
                            - values
                  required:
                    - attributes
                items:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: number
                      productVariantId:
                        type: number
                      personId:
                        type: number
                        nullable: true
                      validity:
                        type: object
                        properties:
                          from:
                            type: string
                          to:
                            type: string
                        required:
                          - from
                          - to
                        nullable: true
                      parentItemId:
                        type: number
                        nullable: true
                      originatedItemId:
                        type: number
                        nullable: true
                      discountCardTypeId:
                        type: number
                        nullable: true
                    required:
                      - id
                      - productVariantId
                      - personId
                      - validity
                      - parentItemId
                      - originatedItemId
                      - discountCardTypeId
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/PaginatedValidityOptions'
                required:
                  - data
components:
  schemas:
    PaginatedValidityOptions:
      type: object
      properties:
        options:
          type: array
          items:
            $ref: '#/components/schemas/ValidityOption'
        pagination:
          type: object
          properties:
            page:
              type: number
            pageSize:
              type: number
            totalCount:
              type: number
          required:
            - page
            - pageSize
            - totalCount
        kind:
          type: string
          enum:
            - validities
        hasCapacities:
          type: boolean
      required:
        - options
        - pagination
        - kind
        - hasCapacities
    ValidityOption:
      type: object
      properties:
        value:
          type: object
          properties:
            from:
              type: string
            to:
              type: string
          required:
            - from
            - to
        availableCapacity:
          oneOf:
            - $ref: '#/components/schemas/AvailableCapacityRange'
            - $ref: '#/components/schemas/AvailableCapacityExact'
            - $ref: '#/components/schemas/AvailableCapacityUnlimited'
        label:
          type: string
        isAvailable:
          type: boolean
      required:
        - value
        - availableCapacity
        - label
        - isAvailable
    AvailableCapacityRange:
      type: object
      properties:
        kind:
          type: string
          enum:
            - range
        min:
          type: number
        max:
          type: number
      required:
        - kind
        - min
        - max
    AvailableCapacityExact:
      type: object
      properties:
        kind:
          type: string
          enum:
            - exact
        value:
          type: number
      required:
        - kind
        - value
    AvailableCapacityUnlimited:
      type: object
      properties:
        kind:
          type: string
          enum:
            - unlimited
      required:
        - kind

````